org.eclipse.net4j.util.om

## Interface OMBundle.DebugSupport

- Enclosing interface:
    OMBundle

      public static interface OMBundle.DebugSupport

  A facility for accessing OSGi `debug options`, whether OSGi `is running` or not.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDebugOption(java.lang.String option)`
    `boolean` | `getDebugOption(java.lang.String option, boolean defaultValue)`
    `int` | `getDebugOption(java.lang.String option, int defaultValue)`
    `java.lang.String` | `getDebugOption(java.lang.String option, java.lang.String defaultValue)`
    `boolean` | `isDebugging()`
    `void` | `setDebugging(boolean debugging)`
    `void` | `setDebugOption(java.lang.String option, boolean value)`
    `void` | `setDebugOption(java.lang.String option, int value)`
    `void` | `setDebugOption(java.lang.String option, java.lang.String value)`

- - ### Method Detail

    - #### isDebugging

          boolean isDebugging()

    - #### setDebugging

          void setDebugging(boolean debugging)

    - #### getDebugOption

          java.lang.String getDebugOption(java.lang.String option)

    - #### setDebugOption

          void setDebugOption(java.lang.String option,
                              java.lang.String value)

    - #### getDebugOption

          java.lang.String getDebugOption(java.lang.String option,
                                          java.lang.String defaultValue)

    - #### getDebugOption

          boolean getDebugOption(java.lang.String option,
                                 boolean defaultValue)

    - #### setDebugOption

          void setDebugOption(java.lang.String option,
                              boolean value)

    - #### getDebugOption

          int getDebugOption(java.lang.String option,
                             int defaultValue)

    - #### setDebugOption

          void setDebugOption(java.lang.String option,
                              int value)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html